## sp-endurance 1.1.13

=== Makefile ===
# build and install rules for endurance tools and scripts

CFLAGS = -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare\
 -Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow\
 -Wwrite-strings -Wcast-align -W -Wall -Os -s

BINS = measure/proc2csv measure/xmeminfo 
SRC_FILES = Makefile src/proc2csv.c src/xmeminfo.c
DOCS = README

ALL = $(SRC_FILES) $(BINS) $(DOCS) 

all: $(ALL)

measure/proc2csv: src/proc2csv.c
	gcc $(CFLAGS) -o $@ $<

measure/xmeminfo: src/xmeminfo.c
	gcc -I/usr/X11R6/include $(CFLAGS) -o $@ $< -lXRes

clean: 
	$(RM) measure/proc2csv
	$(RM) measure/xmeminfo

install:
	 install -d $(DESTDIR)/usr/bin/
	 cp measure/* $(DESTDIR)/usr/bin/
	 cp postproc/* $(DESTDIR)/usr/bin/
	 install -d $(DESTDIR)/usr/share/man/man1/
	 cp man/* $(DESTDIR)/usr/share/man/man1/
	 install -d $(DESTDIR)/usr/share/doc/sp-endurance-postproc/
	 cp README $(DESTDIR)/usr/share/doc/sp-endurance-postproc/

=== debian/changelog ===
sp-endurance (1.1.13) unstable; urgency=low

  * Have complete license text in the source package instead of just
    referring to system GPL-2 license file. Add copyright and license
    information to manpages. Fixes: NB#55850

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  9 May 2007 10:41:32 +0300

sp-endurance (1.1.12) unstable; urgency=low

  * Sort resource usage tables according to changes, not total
  * Fix to python exception in get_pid_usage_diffs()

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  3 May 2007 15:50:23 +0300

sp-endurance (1.1.11) unstable; urgency=low

  * Ignore all resources (i.e. also private memory and FDs)
    used by extra threads processes have. Fixes: NB#55178
  * Add endurance-mem-overview Awk script giving a quick memory usage
    overview ASCII-graph from the endurance data which can be run on
    the target device (as it doesn't need Python)

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 26 Apr 2007 09:30:41 +0300

sp-endurance (1.1.10) unstable; urgency=low

  * List also changes in kernel threads and zombie processes
  * Fold the script save-incremental-endurance-stats calls back
  * Fix to new thread ignore code. Fixes: NB#54436

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 17 Apr 2007 16:32:15 +0300

sp-endurance (1.1.9) unstable; urgency=low

  * Do not ignore any processes, even my own
  * Cope with missing SMAPS data in endurance_report.py. Fixes: NB#54289

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 16 Apr 2007 16:57:16 +0300

sp-endurance (1.1.8) unstable; urgency=low

  * Fix how threads are indentified for removal from memory usage graphs.
    Fixes: NB#54130

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 12 Apr 2007 16:01:56 +0300

sp-endurance (1.1.7) unstable; urgency=low

  * Added manual pages for all the tools and include README to postproc
    binary package. Fixes: NB#53909

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  4 Apr 2007 18:48:06 +0300

sp-endurance (1.1.6) unstable; urgency=low

  * endurance script now parses amount of dirty code pages from smaps
    data (which indicates incorrectly compiled libraries) and there's
    a separate sum-dirty-code-pages script for doing the same on the device

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 13 Mar 2007 11:58:24 +0200

sp-endurance (1.1.5) unstable; urgency=low

  * syslog_parse.py: Check each syslog line for all recognized messages
    in case device boots in middle of line and check SysRq messages
  * endurance_report.py: Do not show bars for repeating process memory
    values and sort processes better, cleanup SMAPS parsing
  * *.sh: Remove file name extension to make Lintian happy
  * Add sum-smaps-private and split-endurance-measurements scripts
  * sp-smaps-measure is now also optional
  * Prepare for Open Source release, add proper copyrights etc

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  1 Mar 2007 17:30:18 +0200

sp-endurance (1.1.4) unstable; urgency=low

  * Parse private/dirty values from SMAPS data myself instead of relying
    on sp-smaps-visualize as it was way too slow
  * Add several options to parse-endurance-measurements.sh for controlling
    which measurements are parsed, whether to call sp-smaps-visualize and
    whether to split reports at reboots
  * Further improvements to the memory usage graphs

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  8 Feb 2007 17:49:38 +0200

sp-endurance (1.1.3) unstable; urgency=low

  * Ignore immediately repeated errors in error counts
  * Fix error message that gave Python exeption
  * Show FS usage instead of free (as the table title says)
  * Major improvements and fixes to process memory usage graphs
  * Use tables for colorbars instead of images so that
    the HTML can be attached to mails or bugzilla

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 28 Nov 2006 14:35:57 +0200

sp-endurance (1.1.2) unstable; urgency=low

  * Fix another bug in case syslogs didn't have any errors
  * Parse Glib ERRORs + kernel OOMs and alloc denials from syslog
  * Add contents list to error HTML file
  * Don't remove SMAPS diff file

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 20 Dec 2006 18:05:09 +0200

sp-endurance (1.1.1) unstable; urgency=low

  * Fix bug in case syslogs didn't have any errors

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 28 Nov 2006 14:35:57 +0200

sp-endurance (1.1) unstable; urgency=low

  * Packaging:
    - devel package, postproc is "Architecture: all" + relevant rules fixes
  * Measurements:
    - compress whole syslog and remove syslog grepping
    - save the measurement files in to separate directories
    - proc2csv parses also /proc/vmstat
    - add /sbin/ifconfig and interrupts/slabinfo/stat files from /proc
    - save DSME statistics
  * Syslog errors postprocessing:
    - separated syslog parsing to separate syslog_parse.py file so that
      it can be used also standalone
    - parse normal/separate syslog files instead of CSV endurance file
    - add support for gzipped syslog files
    - separate different types of DSME and Glib errors
    - parse and count kernel Oopses, reboots, DSP errors and
      connectivity errors&warnings from syslogs
    - support both HTML and ASCII output
    - parsing debug option
    - error summary
    - fix bug in syslog parsing with appended syslogs
  * SMAPS data parsing:
    - Don't redo SMAPS CSV files if they already exist
  * Other endurance data postprocessing:
    - rename endurance-report.py to endurance_report.py
    - always print error message before failing exit
    - arguments are directories instead of file names
    - syslog data is now parsed from file separate from the CSV file
      and parsing put the separate file (see above)
    - output disk free changes (for '/' and '/tmp')
    - show whole device /proc/sys/fs/file-nr changes
    - output also X resource usage decreases
    - save errors to separate HTML pages
    - output statistics and summary of different error types


=== debian/control ===
Source: sp-endurance
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libxres-dev
Standards-Version: 3.7.2.2

Package: sp-endurance
Architecture: any
Depends: ${shlibs:Depends}
Recommends: sp-smaps-measure
Description: Endurance measument tools
 Endurance measurement tools save system and process information from /proc
 and other places; the memory, file descriptors, X resources, flash space,
 errors in syslog etc.  The data can be later used to see logged application
 errors, memory usage and resource leakages and leakage trends under
 long time use-case.

Package: sp-endurance-postproc
Architecture: all
Depends: python 
Suggests: sp-smaps-visualize
Description: Postprocessing for endurance data
 Postprocessing scripts to parse and generate a report from the endurance
 measurement data.  The report lists logged errors and resource usage
 between the data sets.  This can be used to find reasons (leakage)
 explaining why the device stops working when used for a longer time.
 It also provides error parser for the syslog files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-arch configure

## sp-endurance 1.1.18

=== debian/changelog ===
sp-endurance (1.1.18) unstable; urgency=low

  * syslog_parse.py: handle syslog read failures gracefully.
    Fix to 66123 got dates in Glib errors duplicated, fixed.
    Fixes: NB#71722

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  2 Oct 2007 14:47:05 +0300

sp-endurance (1.1.17) unstable; urgency=low

  * Added a missing a comma in a dictionary declaration at
    syslog_parse.py. Fixes: NB#67436

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 31 Aug 2007 14:54:43 +0300

sp-endurance (1.1.16) unstable; urgency=low

  * Include day to the errors parsed from syslog. Fixes: NB#66123

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 12 Jul 2007 16:01:59 +0300

sp-endurance (1.1.15) unstable; urgency=low

  * Parse bootup reason from syslog. Fixes: NB#61217

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 12 Jul 2007 16:01:59 +0300

sp-endurance (1.1.14) unstable; urgency=low

  * Parse kernel I/O errors from syslog

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 24 May 2007 19:16:25 +0300

## sp-endurance 1.2

=== debian/changelog ===
sp-endurance (1.2) unstable; urgency=low

  * save-incremental-endurance-stats: save open file descriptors,
    use proc2csv in permissive mode so that also non-root can get
    data required in postprocessing. Fixes: NB#74679
  * endurance_report.py: link open-fds and smaps.cap files, include
    SwapCached to system free and show swap change in summary,
    show differences in process thread counts
  * compress smaps.cap in save-incremental-endurance-stats and
    handle that in endurance_report.py. Fixes: NB#74905
  * endurance_report.py: Fail more gracefully when encountering mixed-
    version endurance data. Fixes: NB#72588

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  6 Nov 2007 13:39:17 +0200

## sp-endurance 1.13

=== debian/changelog ===
sp-endurance (1.13) unstable; urgency=low

  * The message output introduced by the fix in version 1.12 has been
    tweaked slightly.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 25 Jun 2008 10:26:00 +0300

sp-endurance (1.12) unstable; urgency=low

  * Parse kernel BUG and onenand_wait issues. Fixes: NB#86607

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 25 Jun 2008 09:57:57 +0300

sp-endurance (1.11) unstable; urgency=low

  * Compatibility issue with older endurance data was fixed. Fixes:
    NB#86013

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 30 May 2008 09:58:23 +0300

sp-endurance (1.10) unstable; urgency=low

  * Support for adding use-case test descriptions has been implemented.
    Fixes: NB#85141

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 30 Apr 2008 16:23:33 +0300

sp-endurance (1.9) unstable; urgency=low

  * Fixed broken detection of kernel OOM messages caused by change in
    case. Fixes: NB#84309

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 16 Apr 2008 14:29:59 +0300

sp-endurance (1.8) unstable; urgency=low

  * Fixed endurance parsing failure when process smaps data had no
    private dirty memory. Fixes: NB#83676

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  4 Apr 2008 10:47:27 +0300

sp-endurance (1.7) unstable; urgency=low

  * Fixed syslog rotation handling issue. Fixes: NB#83445

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  1 Apr 2008 14:17:38 +0300

sp-endurance (1.6) unstable; urgency=low

  * Fixed empty DSME files not being handled gracefully. Fixes: NB#81188

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 22 Feb 2008 09:55:00 +0200

sp-endurance (1.5) unstable; urgency=low

  * A rare warning message also triggered an exception in endurance
    report script. Fixes: NB#81073

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 20 Feb 2008 13:44:59 +0200

sp-endurance (1.4) unstable; urgency=low

  * save-incremental-endurance-stats: argument handling robustness has
    been improved. Fixes: NB#79269

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 14 Jan 2008 17:03:50 +0200

sp-endurance (1.3) unstable; urgency=low

  * save-incremental-endurance-stats: when sp_smaps_snapshot is
    missing, produces (about) same data with few lines of shell
  * parse-endurance-measurements: handle compressed smaps files
  * endurance_report.py: show smaps private-dirty information
    in application memory usage graphs
  * update/fix README
    Fixes: NB#77594

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 28 Nov 2007 18:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sp-endurance
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: sp-smaps-measure
+Suggests: sp-smaps-measure
 Description: Endurance measument tools
  Endurance measurement tools save system and process information from /proc
  and other places; the memory, file descriptors, X resources, flash space,

## sp-endurance 1.23+0m5

=== debian/changelog ===
sp-endurance (1.23+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 10 Jun 2009 14:38:35 +0300

sp-endurance (1.23) unstable; urgency=low

  * Fix harmless Coverity reported leak on error exit + set freed
    namelist entries NULL in proc2csv. Fixes: NB#121145

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 9 Jun 2009 16:37:19 +0200

sp-endurance (1.22) unstable; urgency=low

  * Fix divide-by-zero error on identical (copied) data. Fixes: NB#119307

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 1 Jun 2009 15:57:19 +0200

sp-endurance (1.21) unstable; urgency=low

  * CPU/swap/interrups/context switch statistics added. Fixes: NB#107365

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 19 May 2009 15:57:19 +0200

sp-endurance (1.20) unstable; urgency=low

  * Fix endurance_report.py to work with Scratchbox Python v2.3.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 5 May 2009 15:55:09 +0200

sp-endurance (1.19) unstable; urgency=low

  * More statistics added. Fixes: NB#107365
  * Fixes NB#109052: sp-endurance/syslog parser doesn't catch upstart reported
    crash/restart messages
  * Fixes NB#112730: sp-endurance uses obsolete /etc/osso_software_version

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 28 Apr 2009 16:09:17 +0200

sp-endurance (1.18) unstable; urgency=low

  * Add PSS and SWAP support to endurance_report.py

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 16 Apr 2009 19:03:17 +0200

sp-endurance (1.17) unstable; urgency=low

  * Syslog parser now recognizes and reports D-BUS warnings about
    applications having too wide signal matching rules. Fixes: NB#98637

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  3 Mar 2009 17:13:27 +0200

sp-endurance (1.16) unstable; urgency=low

  * The shared memory segment stats are now included in the main report
    page. Fixes: NB#94553

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  4 Dec 2008 11:57:54 +0200

sp-endurance (1.15) unstable; urgency=low

  * Fixed a Lintian warning.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 21 Aug 2008 17:06:15 +0300

sp-endurance (1.14) unstable; urgency=low

  * Remove support for SleepAVG as newer kernels don't support it.
    Fixes: NB#87720

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 21 Aug 2008 16:31:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sp-endurance
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lzop
 Suggests: sp-smaps-measure
 Description: Endurance measument tools
  Endurance measurement tools save system and process information from /proc
@@ -18,8 +18,8 @@
 
 Package: sp-endurance-postproc
 Architecture: all
-Depends: python 
-Suggests: sp-smaps-visualize
+Depends: python, lzop
+Suggests: sp-smaps-visualize, python-psyco
 Description: Postprocessing for endurance data
  Postprocessing scripts to parse and generate a report from the endurance
  measurement data.  The report lists logged errors and resource usage

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## sp-endurance 2.0.1%2b0m5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
 # build and install rules for endurance tools and scripts
 
-CFLAGS = -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare\
+CFLAGS ?= -O2 -Wall
+
+# add some extra warnings
+CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare\
  -Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow\
- -Wwrite-strings -Wcast-align -W -Wall -Os -s
+ -Wwrite-strings -Wcast-align -W
 
 BINS = measure/proc2csv measure/xmeminfo 
 SRC_FILES = Makefile src/proc2csv.c src/xmeminfo.c

=== debian/changelog ===
sp-endurance (2.0.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 13 Nov 2009 14:20:31 +0200

sp-endurance (2.0.1) unstable; urgency=low

  * Do not mangle the last character in the process command line.
    Fixes: NB#144538
  * Proper error handling in case low memory limits are missing from the data.
    Fixes: NB#144981

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Thu, 12 Nov 2009 13:56:41 +0200

sp-endurance (2.0) unstable; urgency=low

  * "proc2csv" stores the whole process command line; this makes the data
    format incompatible with older sp-endurance-postproc versions.
    Fixes: NB#144538, NB#144586
  * "endurance-mem-overview" takes swap into account and it's now possible
    to specify the shown memory usage range. Fixes: NB#144138
  * Show X resource count differencies in addition to X resource memory usage
    in the summary at the end. Fixes: NB#143985
  * Show network interface transfers graph in the beginning. Fixes: NB#143225
  * Add "extract-endurance-process-smaps" helper script. Fixes: NB#142776
  * Support Fremantle low memory limits scheme. Fixes: NB#144981
  * Update documentation

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 30 Oct 2009 18:54:43 +0200

sp-endurance (1.24) unstable; urgency=low

  * Give more detailed X resource usage information and log use of unknown
    X resources. Data format change is incompatible with previous
    sp-endurance-postproc versions
    Fixes: NB#143151

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 9 Jun 2009 16:37:19 +0200

## sp-endurance 2.0.2%2b0m5

=== Makefile ===
--- 
+++ 
@@ -33,3 +33,5 @@
 	 cp man/* $(DESTDIR)/usr/share/man/man1/
 	 install -d $(DESTDIR)/usr/share/doc/sp-endurance-postproc/
 	 cp README $(DESTDIR)/usr/share/doc/sp-endurance-postproc/
+	 install -d $(DESTDIR)/usr/share/sp-endurance-tests/
+	 cp -a tests/* $(DESTDIR)/usr/share/sp-endurance-tests/

=== debian/changelog ===
sp-endurance (2.0.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 09 Feb 2010 17:29:01 +0200

sp-endurance (2.0.2) unstable; urgency=low

  * Fix the post-processing exception when network interfaces are
    active, but have no traffic.  Fixes: NB#153961
  * Add CI test script.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Thu, 21 Jan 2010 17:56:41 +0200

## sp-endurance 2.0.2+0m5

=== debian/control ===
--- 
+++ 
@@ -26,3 +26,12 @@
  between the data sets.  This can be used to find reasons (leakage)
  explaining why the device stops working when used for a longer time.
  It also provides error parser for the syslog files.
+
+Package: sp-endurance-tests
+Priority: extra
+Architecture: any
+Depends: ci-testing, sp-endurance (=${binary:Version}), sp-endurance-postproc (=${binary:Version})
+XB-Maemo-CI-Packages: sp-endurance, sp-endurance-postproc
+XB-Maemo-CI-Stage: fast, staging, acceptance
+Description: CI tests for sp-endurance
+ CI tests for sp-endurance

## sp-endurance 2.0.4%2b0m5

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sp-endurance
 Architecture: any
 Depends: ${shlibs:Depends}, lzop
-Suggests: sp-smaps-measure
+Recommends: sp-smaps-measure, x11-utils
 Description: Endurance measument tools
  Endurance measurement tools save system and process information from /proc
  and other places; the memory, file descriptors, X resources, flash space,
@@ -19,7 +19,7 @@
 Package: sp-endurance-postproc
 Architecture: all
 Depends: python, lzop
-Suggests: sp-smaps-visualize, python-psyco
+Recommends: sp-smaps-visualize, python-psyco
 Description: Postprocessing for endurance data
  Postprocessing scripts to parse and generate a report from the endurance
  measurement data.  The report lists logged errors and resource usage

## sp-endurance 2.0.4+0m5

=== debian/changelog ===
sp-endurance (2.0.4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.0.4+0m5

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 21 Apr 2010 13:27:19 +0300

sp-endurance (2.0.4) unstable; urgency=low

  * Store topmost application and focused application names to sp-endurance
    data. Fixes: NB#164110
  * Handle df filesystem usage output spanning multiple lines.
    Fixes: NB#163812

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 21 Apr 2010 13:16:52 +0300

sp-endurance (2.0.3) unstable; urgency=low

  * Use "-a" option for ifconfig.  Fixes: NB#159288
  * Correct swap/page in/out, interrupt and context switch counts,
    they were 100x off. Fixes: NB#159294

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 05 Mar 2010 17:36:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
+	CFLAGS += -O2
 endif
 
 configure: configure-stamp
